Package org.jCharts.imageMap

# Class ImageMap

java.lang.Object
org.jCharts.imageMap.ImageMap

All Implemented Interfaces:
  `Serializable`

public final class ImageMap extends Object implements Serializable

See Also:
  - Serialized Form

## Field Summary

Fields
Modifier and Type
Field
Description
`private ArrayList`
`areas`

## Constructor Summary

Constructors
Constructor
Description
`ImageMap(int size)`

## Method Summary

Modifier and Type
Method
Description
`void`
`addImageMapArea(ImageMapArea imageMapArea)`
`Iterator`
`getIterator()`
`String`
`toHTML()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### areas

private ArrayList areas

## Constructor Details

### ImageMap

public ImageMap(int size)

Parameters:
  `size` - the number of areas

## Method Details

### addImageMapArea

public void addImageMapArea(ImageMapArea imageMapArea)

Parameters:
  `imageMapArea` -

### getIterator

public Iterator getIterator()

### toHTML

public String toHTML()